Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://cloudlab.scispot.io/sequences/{uuid}/annotations/{annotationId} \ --header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://cloudlab.scispot.io/sequences/{uuid}/annotations/{annotationId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://cloudlab.scispot.io/sequences/{uuid}/annotations/{annotationId}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
{ "uuid": "{uuid}", "annotationId": "{annotationId}", "removed": true, "success": true }
{ "success": false, "message": "Invalid Authentication Token" }
{ "success": false, "message": "Missing Authentication Token" }
{ "success": false, "message": "Not found" }
{ "success": false, "message": "Validation error" }
{ "success": false, "message": "Operation failed" }
This endpoint allows the user to delete specific annotations from existing sequences
Personal access token from Scispot Account → Personal Tokens
Successful response
The response is of type object.
object